# Uses of Class
org.springframework.dao.TypeMismatchDataAccessException

Packages that use TypeMismatchDataAccessException
Package
Description
org.springframework.dao.support
Support classes for DAO implementations, providing miscellaneous utility methods.

## Uses of TypeMismatchDataAccessException in org.springframework.dao.support

Methods in org.springframework.dao.support that throw TypeMismatchDataAccessException
Modifier and Type
Method
Description
`static int`
DataAccessUtils.`intResult(Collection<?> results)`
Return a unique int result from the given Collection.
`static long`
DataAccessUtils.`longResult(Collection<?> results)`
Return a unique long result from the given Collection.
`static <T> T`
DataAccessUtils.`objectResult(Collection<?> results, Class<T> requiredType)`
Return a unique result object from the given Collection.